Resolved What versions of Apple software should I run on my 400MHz PowerMac G4 (10.4.11)?

Discussion in 'PowerPC Macs' started by alexreich, Jun 6, 2012.

  1. alexreich, Jun 6, 2012
    Last edited: Jun 6, 2012

    alexreich macrumors 6502a

    alexreich

    Joined:
    Jan 26, 2011
    #1
    From what I've read, I can run iWork '09, and iLife '08? Is this correct? If not, point me in the right direction. I'd really appreciate it.
     
  2. mike457 macrumors 6502

    Joined:
    Sep 10, 2010
    Location:
    Ontario
    #2
    Yes, though if you want iMovie, you'll need the old iMovie HD.
     
  3. alexreich thread starter macrumors 6502a

    alexreich

    Joined:
    Jan 26, 2011
    #3
    Thanks for the info! Closing thread.
     
  4. tdbmoss macrumors regular

    tdbmoss

    Joined:
    Dec 4, 2011
    Location:
    UK
    #4
    There are hacks to run the iMovie that comes with iLife '08/iLife '09 on G4s if you want to use it (by default it only runs on G5s), otherwise yes iMovie HD (from iLife '06; made available by Apple as a separate download for '08 owners) is the one you would need. If you upgrade your machine to OS X Leopard then iLife '09 (the last version for PowerPC machines) will run.
     
  5. ppcg4mac macrumors 6502

    ppcg4mac

    Joined:
    Feb 13, 2012
    Location:
    Northwest Kansas
    #5
    as this is a 400MHZ, i would not suggest hacking Leopard on it. iLife 06 is fine on my DP 450, but i would suggest having OS9 and sherlock to speed up searches, as with a 80 gb hd, finder search is SLOW!!!
     

Share This Page